This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 470077 - F10 Preview Live i686 Install LVM crash
F10 Preview Live i686 Install LVM crash
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
10
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
anaconda_trace_hash:e021f495c13bddbd6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-05 12:01 EST by Joshua Jensen
Modified: 2009-06-10 15:26 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 15:26:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (34.57 KB, text/plain)
2008-11-05 12:01 EST, Joshua Jensen
no flags Details
Attached traceback automatically from anaconda. (34.58 KB, text/plain)
2009-02-17 04:36 EST, socialSavant
no flags Details
Anaconda crash dump from my second attempt (57 bytes, text/plain)
2009-03-03 11:34 EST, Richard H. McCullough
no flags Details
Anaconda crash dump from my second attempt (61 bytes, text/plain)
2009-03-03 11:46 EST, Richard H. McCullough
no flags Details
partition table created by Anaconda (813 bytes, text/plain)
2009-03-04 03:32 EST, Richard H. McCullough
no flags Details

  None (edit)
Description Joshua Jensen 2008-11-05 12:01:12 EST
This bug was filed automatically by anaconda.
Comment 1 Joshua Jensen 2008-11-05 12:01:15 EST
Created attachment 322610 [details]
Attached traceback automatically from anaconda.
Comment 2 Joshua Jensen 2008-11-05 13:51:01 EST
Strangeness with LVM.  I had on the disk an encrypted PV, but I couldn't ever access the LVs on it.  I even did a "cryptosetup luksOpen /dev/sda5 eee" on it, and tried the live installer again.  That time, the installer could see inside the encrypted PV, and showed me to LVs, but wouldn't allow me to use them.  I had to format the PV, and start over, which I did.... then I got this crash.
Comment 3 Bug Zapper 2008-11-25 23:49:22 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 socialSavant 2009-02-17 04:36:07 EST
Created attachment 332200 [details]
Attached traceback automatically from anaconda.
Comment 5 Richard H. McCullough 2009-03-03 11:34:10 EST
Created attachment 333892 [details]
Anaconda crash dump from my second attempt

During my first attempt to install from Fedora Live, it appears that Anaconda "corrupted" the partition table. fdisk programs and Windows programs complain
that the logical partitions overlap.
I previously dual-booted Red Hat Linux 7.3 and Windows XP Pro SP3 using PartitionMagic + BootMagic.  Now PartitionMagic complains about the partition errors and BootMagic does not recognize the Fedora partition.  I have copies of the fdisk output if you want them.
Comment 6 Richard H. McCullough 2009-03-03 11:46:24 EST
Created attachment 333897 [details]
Anaconda crash dump from my second attempt

corrected path name for previously described attachment.
see description of previous attachment.
Comment 7 Richard H. McCullough 2009-03-04 03:32:41 EST
Created attachment 333979 [details]
partition table created by Anaconda

The partition table entries are not in order of increasing sectors.  All the Windows partitions are listed before the Linux partitions.  It's my guess that is what causes the Windows programs to call it a BAD partition table.  Maybe it's connected to the Anaconda crash as well.  This partition table is actually the 3rd in a sequence.
1. Red Hat Linux 7.3 & Windows XP (with PartitionMagic & BootMagic) - works
2. Fedora 10 & Windows XP (PM & BM & NDD don't work)
3. Red Hat Linux & Windows XP (PM & BM & NDD don't work)
Comment 8 Chris Lumens 2009-04-08 15:58:10 EDT
We have made extensive changes to the partitioning code for F11 beta, such that it is very difficult to tell whether your bug is still relevant or not.  Please test with either the latest rawhide you have access to or F11 and let us know whether you are still seeing this problem.  Thanks for the bug report.
Comment 9 joshua 2009-06-10 15:21:25 EDT
Still having very similar problems on F11 x86_64 regular install (not via Live cd)... new BZ # is 505136
Comment 10 Chris Lumens 2009-06-10 15:26:07 EDT
Okay, let's get rid of this one and work on the new bug report then.

Note You need to log in before you can comment on or make changes to this bug.